Enspace
  1. Integrations
Enspace
  • Introduction
  • Authentication
  • Concepts
  • First Steps
  • Workspaces
    • Types
      • Fields
        • List Fields
        • Create Field
        • Get Field
        • Field Updated
        • Delete Field
      • Items
        • List Items
        • Create Item
        • Count Items
        • Get Item
        • Update Item
        • Delete item
      • Flows
        • Stages
          • Tasks
            • List Tasks
            • Get specific Task
            • New Task
          • List Stages
          • Get specific Stage
        • List Flows
        • Get specific Flow
      • Forms
        • List Form
        • Get specific Form
        • List Form Create
      • List Types
      • Count Types
      • Get specific Type
      • Create Type
      • Update Type
      • Delete Type
    • Members
      • List Members
      • Count Members
      • Get Member
      • New Member
      • Update Member
      • Remove Member
    • Roles
      • List roles
      • Create role
      • Count roles
      • Get specific role
      • Update role
      • Delete role
      • List Role Permissions
      • Add Permission to Role
      • Remove Role Permission
    • Member Groups
      • List groups
      • New group
      • Get group
      • Update group
      • Delete group
      • Add Users
      • Remove Users
    • Quick Tasks
      • List Quick Tasks
      • Count Quick Tasks
      • Get Quick Task
      • Delete Quick Task
      • Update Quick Task
      • New Quick Task
    • Integrations
      • CertiSign Integration
      • Docusign Integration
      • D4Sign Integration
      • Clicksign Integration
      • Clicksign Integration Copy
      • Integration
        GET
      • New Integration
        POST
    • Schedule Tasks
      • List Schedule Tasks
      • Get specify Schedule Task
    • List Workspaces
      GET
    • Workspace Context
      GET
    • New Workspace
      POST
    • Leave the workspace
      POST
    • Workspace Statistics
      GET
    • Workspace Deletion Preview
      GET
    • Delete Workspace
      DELETE
  • User
    • Request Log
      GET
    • List API Keys
      GET
  • Schemas
    • Schemas
      • Members
        • MemberUpdate
        • MemberCreate
        • Member
      • Roles
        • Role
        • RoleCreate
        • RoleUpdate
      • MemberGroups
        • MemberGroup
        • MemberGroupCreate
        • MemberGroupUpdate
      • Types
        • Type
        • TypeInput
        • TypeDetail
      • Items
        • Item
        • ItemInput
      • Workspace
        • WorkspaceContext
        • WorkspaceStats
        • Workspace
        • WorkspaceCreate
        • WorkspaceUpdate
      • Tasks
        • Tasks
      • Flow
        • Flow
      • Stages
        • Stage
      • Forms
        • Forms
      • Integrations
        • Integrations
      • User
      • RequestLog
      • UserApiKey
      • SuccessResponse
      • ErrorResponse
      • Field
      • FieldInput
      • Permission
      • PermissionInput
      • Error
    • Response
      • BadRequest
      • Unauthorized
      • Forbidden
      • NotFound
      • ServerError
  1. Integrations

New Integration

Developing
Develop Env
https://api-develop.enspace.io
Develop Env
https://api-develop.enspace.io
POST
https://api-develop.enspace.io
/workspace-integrations
Maintainer:João Prado

Create Integration#

This request creates and configures a new integration within the system. Integrations allow the platform to connect with external services and automate data exchange, workflows, and actions between ENSPACE and third-party applications.
Each integration contains configuration parameters, such as the environment, webhook endpoints, and additional settings required for communication with the external service.
Once created, the integration can be activated and used by tasks, flows, or other automation resources within the platform.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
API Key
Add parameter in header
en-workspace
Example:
en-workspace: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api-develop.enspace.io/workspace-integrations' \
--header 'x-api-key: <api-key>' \
--header 'en-workspace: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "id": 8,
    "data": {
      "changeKeys": false,
      "environment": "stage"
    },
    "integration": 8,
    "status": "active",
    "created_at": "2026-02-09T14:54:27.092Z",
    "updated_at": "2026-03-12T15:11:17.254Z"
  }'
Response Response Example
{
    "integration": 1,
    "data": {
        "environment": "stage",
        "changeKeys": true,
        "token": "88888888888",
        "webhookCatcherEndpoint": "https://api-develop.enspace.io/webhooks/certisign"
    }
}
Previous
Integration
Next
List Schedule Tasks
Built with